From: "Tim Harder" <radhermit@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/trollius/
Date: Sat, 12 Mar 2016 18:14:55 +0000 (UTC) [thread overview]
Message-ID: <1457806475.00f26ad6ed825f11a4dadc60e7dfa8be508a5663.radhermit@gentoo> (raw)
commit: 00f26ad6ed825f11a4dadc60e7dfa8be508a5663
Author: Tim Harder <radhermit <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 12 17:34:22 2016 +0000
Commit: Tim Harder <radhermit <AT> gentoo <DOT> org>
CommitDate: Sat Mar 12 18:14:35 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=00f26ad6
dev-python/trollius: version bump to 2.1
dev-python/trollius/Manifest | 1 +
dev-python/trollius/trollius-2.1.ebuild | 25 +++++++++++++++++++++++++
2 files changed, 26 insertions(+)
diff --git a/dev-python/trollius/Manifest b/dev-python/trollius/Manifest
index 45d1032..0770d31 100644
--- a/dev-python/trollius/Manifest
+++ b/dev-python/trollius/Manifest
@@ -1,2 +1,3 @@
DIST trollius-1.0.4.tar.gz 259188 SHA256 8884cae4ec6a2d593abcffd5e700626ad4618f42b11beb2b75998f2e8247de76 SHA512 f8df8c9f0034e6075e2a356a0bcfcd7908d98d8d14b07332a71de0115753e17335f5b8030c06c6b2a5b79437392ccf13f92d46155622f789b13c36d04c6d1f9e WHIRLPOOL 0cc57bee6be7a2bd8785decc406792c0d354dfc24f4a51b40d0de9557e212cbda738f9aab0a41fcb1ebe1a4b72986c09db1e243fd6ca3398f1df400e8c4ae6ad
DIST trollius-2.0.tar.gz 273021 SHA256 a8e0e2d3a3193be3e0f113253f41675d2679d23c491f32b37f4e0a736f32a28f SHA512 457be3ac9b7dd036576e29ee754afe1289f864f0b4ebe166405f64574d094b75ebeb2fa18d1a5d48dbc03069bcb491e92b983c55a8acad8bf9f9471f0e659549 WHIRLPOOL 2ed7ba50d687e63f59ad0cef88df76ba354102aadfc5ef47342b0756ae7d6d87e4e94a55593eacdf61601ade1d5338339489db8001097d633acdc9fc9d119246
+DIST trollius-2.1.tar.gz 276425 SHA256 cd165d9d9578d3aadbf26e71a88d9a70c4e444792a5628dc9af255f62030cc90 SHA512 d800e060e13da22c83fc20f2c0e61d6c50cca309d90e8faecaf24e68240d78ec7fc9cfbb68a968ba7e9d73268e974353d9bd9063eb0ca02a4f0e88610abd6018 WHIRLPOOL febf87b4fb47a7cb573a538981807da207caff26d11562d899814573ea265d1e4a4ccf6dad0a19dbe639ef27be791958351711408bce2ac0b57792f489e4757b
diff --git a/dev-python/trollius/trollius-2.1.ebuild b/dev-python/trollius/trollius-2.1.ebuild
new file mode 100644
index 0000000..de32001
--- /dev/null
+++ b/dev-python/trollius/trollius-2.1.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python{2_7,3_{3,4,5}} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="A port of the Tulip project (asyncio module, PEP3156)"
+HOMEPAGE="https://github.com/haypo/trollius https://pypi.python.org/pypi/trollius/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="virtual/python-futures[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]"
+
+python_test() {
+ "${PYTHON}" runtests.py || die "Testing failed under ${EPYTHON}"
+}
next reply other threads:[~2016-03-12 18:15 UTC|newest]
Thread overview: 14+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-03-12 18:14 Tim Harder [this message]
-- strict thread matches above, loose matches on Subject: below --
2020-03-29 10:13 [gentoo-commits] repo/gentoo:master commit in: dev-python/trollius/ Michał Górny
2020-03-16 21:09 Michał Górny
2019-07-15 13:36 Michał Górny
2019-07-15 13:36 Michał Górny
2019-06-25 12:09 Michael Haubenwallner
2019-06-25 9:05 Michael Haubenwallner
2018-06-24 17:24 Pacho Ramos
2017-09-28 13:42 Michael Palimaka
2017-04-12 12:34 Tim Harder
2016-02-28 6:51 Matt Thode
2016-01-11 8:16 Justin Lecher
2016-01-06 17:14 Justin Lecher
2015-08-29 17:45 Tim Harder
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1457806475.00f26ad6ed825f11a4dadc60e7dfa8be508a5663.radhermit@gentoo \
--to=radhermit@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox